## elkcode 4.0.15

=== src/Makefile ===

include ../make.inc

# modules
SRC_modules = modmain.f90 $(SRC_MPI) modmpi.f90 $(SRC_libxc) modxcifc.f90 \
 modfxcifc.f90 moddftu.f90 modrdm.f90 modphonon.f90 modscdft.f90 modtest.f90 \
 modrandom.f90 modstore.f90 modpw.f90 modvars.f90 modtddft.f90 modgw.f90

# Elk program
SRC_elk = elk.f90

# main subroutines and functions
SRC_main0 = \
 spline.f90 fderiv.f90 fintgt.f90 zfmtinp.f90 factnm.f90 factr.f90 \
 zfmtconj.f90 mtdmin.f90

SRC_main1 = \
 fsmooth.f90 zpotclmt.f90 rfmtpack.f90 zfmtpack.f90 zfpack.f90 rfmtinp.f90 \
 rhonorm.f90 rfint.f90 charge.f90 rfmtlm.f90 zfmtlm.f90 genlofr.f90 potks.f90 \
 rdiracint.f90 rdirac.f90 wavefmt.f90 genrmesh.f90 genzvclmt.f90 \
 energynn.f90 rhocore.f90 rbsht.f90 rfsht.f90 zbsht.f90 zfsht.f90 zfinp.f90 \
 rtozfmt.f90 ztorfmt.f90 init0.f90 init1.f90 init2.f90 init3.f90 init4.f90 \
 rfinp.f90 rfinpc.f90 genylmg.f90 gcd.f90 sortidx.f90 erf.f90 zpotcoul.f90 \
 genylm.f90 genrlm.f90 rtozflm.f90 moment.f90 rhomagsh.f90 occupy.f90 \
 rfmtftoc.f90 rschrodint.f90 timesec.f90 lopzflm.f90 hmlistl.f90 sphcover.f90 \
 delevec.f90 hmllolo.f90 genapwfr.f90 mixpack.f90 rfpack.f90 polynom.f90 \
 genkmat.f90 genshtmat.f90 eveqnfv.f90 eveqnfvz.f90 ztorflm.f90 hmlrad.f90 \
 olprad.f90 bfieldks.f90 writeengy.f90 potnucl.f90 gengvec.f90 nfftifc.f90 \
 gridsize.f90 genvsig.f90 sbessel.f90 sbesseldm.f90 allatoms.f90 gencfun.f90 \
 writefermi.f90 readfermi.f90 rhomag.f90 zfmtctof.f90 rotrfmt.f90 zfmtftoc.f90 \
 rfinterp.f90 ylmrot.f90 ylmroty.f90 eveqnfvr.f90 findprimcell.f90 genppts.f90 \
 energy.f90 rfmtctof.f90 writechg.f90 potplot.f90 plot1d.f90 plot2d.f90 \
 plot3d.f90 findswidth.f90 mae.f90 writestate.f90 readstate.f90 rotaxang.f90 \
 axangrot.f90 i3minv.f90 i3mdet.f90 i3mtv.f90 r3mv.f90 r3mtv.f90 r3cross.f90 \
 r3minv.f90 r3mdet.f90 r3frac.f90 r3mm.f90 r3mtm.f90 r3mmt.f90 zflmconj.f90 \
 rotzflm.f90 z2mm.f90 z2mctm.f90 z2mmct.f90 rfmtsm.f90 rhomagsm.f90 symmat.f90 \
 gentpmae.f90 genstrain.f90 writeiad.f90 symvect.f90 nuclei.f90 genstress.f90 \
 writestress.f90 latvstep.f90 putoccsv.f90 getoccsv.f90 linengy.f90 \
 elnes.f90 potefield.f90 writeinfo.f90 readinput.f90 writelinen.f90 \
 writesf.f90 match.f90 wigner3j.f90 wigner3jf.f90 wigner6j.f90 clebgor.f90 \
 gaunt.f90 gauntyry.f90 sphcrd.f90 brzint.f90 hermite.f90 roteuler.f90 \
 eulerrot.f90 reciplat.f90 fermisurfbxsf.f90 writeeval.f90 readspecies.f90 \
 gencore.f90 genhvec.f90 writelat.f90 findigp0.f90 writeforces.f90 pade.f90 \
 genjlgpr.f90 symmetry.f90 findsym.f90 findsymcrys.f90 findsymsite.f90 \
 writekpts.f90 olpistl.f90 olpaa.f90 olpalo.f90 olplolo.f90 hmlaa.f90 \
 hmlalo.f90 writefsm.f90 plotpt1d.f90 flushifc.f90 testcheck.f90 checkfsm.f90 \
 atom.f90 fsmfield.f90 geomopt.f90 atpstep.f90 bandstr.f90 findsymlat.f90 \
 findkpt.f90 putevalfv.f90 getevalfv.f90 mixerifc.f90 axangsu2.f90 wfplot.f90 \
 genwiq2.f90 writewiq2.f90 writeefg.f90 gensocfr.f90 nesting.f90 checkmt.f90 \
 putevalsv.f90 getevalsv.f90 dos.f90 writedos.f90 putevecfv.f90 getevecfv.f90 \
 putevecsv.f90 getevecsv.f90 fermisurf.f90 writesym.f90 genidxlo.f90 \
 addlorbcnd.f90 sdelta.f90 stheta.f90 sdelta_mp.f90 stheta_mp.f90 \
 sdelta_fd.f90 stheta_fd.f90 sdelta_sq.f90 stheta_sq.f90 sdelta_lr.f90 \
 stheta_lr.f90 vecfbz.f90 mixlinear.f90 mixadapt.f90 mixbroyden.f90 rlmrot.f90 \
 rotrflm.f90 radnucl.f90 findngkmax.f90 zgerci.f90 writegeom.f90 effmass.f90 \
 mossbauer.f90 findband.f90 geomplot.f90 genlmirep.f90 gndstate.f90 \
 genjlgq0r.f90 findqpt.f90 ssfext.f90 sstask.f90 spiralsc.f90 genscss.f90 \
 findscq.f90 writeqpts.f90 writelsj.f90 getcf2pt.f90 proj2d.f90 dielectric.f90 \
 nonlinopt.f90 vecplot.f90 gengkvec.f90 wfcrplot.f90 energykncr.f90 \
 rhoplot.f90 genwfsv.f90 genwfsvp.f90 eveqn.f90 eveqnit.f90 eveqnsv.f90 \
 eveqnss.f90 genevfsv.f90 rhoinit.f90 grad2rfmt.f90 gendmat.f90 symdmat.f90 \
 gensdmat.f90 ggamt_1.f90 ggair_1.f90 ggamt_sp_1.f90 ggair_sp_1.f90 \
 ggamt_2a.f90 ggair_2a.f90 ggamt_2b.f90 ggair_2b.f90 ggamt_sp_2a.f90 \
 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 genspecies.f90 writeemd.f90 \
 gensfacgp.f90 rhomagk.f90 wavefcr.f90 exxengy.f90 exxengyk.f90 eveqnhf.f90 \
 genffacgp.f90 gentau.f90 gentauk.f90 gentaucr.f90 genzrho.f90 potcoul.f90 \
 xc_c_tb09.f90 elfplot.f90 genexpmt.f90 gradzfmt.f90 gradrfmt.f90 gradzf.f90 \
 gradrf.f90 projsbf.f90 genpmatk.f90 putpmat.f90 writepmat.f90 getpmat.f90 \
 gengqrf.f90 moke.f90 sfacinit.f90 sfacrho.f90 sfacmag.f90 gradwf2.f90 \
 gradwfcr2.f90 force.f90 forcek.f90 symrf.f90 symrfir.f90 symrvfir.f90 \
 symrvf.f90 potxc.f90 oepmain.f90 oepresk.f90 oepvcl.f90 oepvclk.f90 \
 genvchi0.f90 genspchi0.f90 epsinv_rpa.f90 dbxcplot.f90 genvmat.f90 \
 genvmatk.f90 genvbmatk.f90 vclcore.f90 genzrm.f90 genzfrm.f90 zftrf.f90 \
 zftzf.f90 writehmlbse.f90 hmlxbse.f90 hmlxbsek.f90 hmldbse.f90 hmldbsek.f90 \
 dielectric_bse.f90 genidxbse.f90 writeevbse.f90 hartfock.f90 hflocal.f90 \
 putkmat.f90 getkmat.f90 zrhogp.f90 genwfpw.f90 writewfpw.f90 getwfpw.f90 \
 genfspecies.f90 writespecies.f90 massnucl.f90 rzfadd.f90 genexpmat.f90 \
 writeexpmat.f90 rvfcross.f90 rfplot.f90 rotdmat.f90 hrmdmat.f90 rzfmtinp.f90 \
 rzfinp.f90 zfcmtinp.f90 genpmat.f90 reademd.f90 emdplot.f90 rfhkintp.f90 \
 emdplot3d.f90 emdplot2d.f90 emdplot1d.f90 plotpt3d.f90 plotpt2d.f90 \
 genvmmtsv.f90 writeevsp.f90 sctovec.f90 rndevsv.f90 genkappa.f90 \
 eveqnu.f90

SRC_main = $(SRC_main0) $(SRC_main1)

SRC_phonon0 = \
 phdelete.f90 gendcfun.f90 dmatch.f90 gendvsig.f90 gradrhomt.f90 dpotxc.f90 \
 dolpalo.f90 dhmlalo.f90 dolpaa.f90 dhmllolo.f90 dwavefmt.f90 phonon.f90 \
 dpotks.f90 dhmlaa.f90 dhmlrad.f90 gendwfsv.f90 drhomagk.f90 drhomagsh.f90 \
 hmlaaq.f90 hmlaloq.f90 olpaaq.f90 olpaloq.f90 gengvsmt.f90 dpotcoul.f90 \
 dforcek.f90 gengkqvec.f90 gengqvec.f90 genmcph.f90 deveqnfv.f90 dhmlistl.f90 \
 dolpistl.f90 phmixpack.f90 putdevecfv.f90 getdevecfv.f90 doccupy.f90 \
 putdevecsv.f90 getdevecsv.f90 phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 \
 readdyn.f90 dynqtor.f90 dynrtoq.f90 dynsymapp.f90 dynsym.f90 dynev.f90 \
 dynevs.f90 phdos.f90 sumrule.f90 writephn.f90 phfext.f90 writegamma.f90 \
 readgamma.f90 phlwidth.f90 alpha2f.f90 writelambda.f90 phscdelete.f90 \
 ephcouple.f90 genephmat.f90 eliashberg.f90 phscdvs.f90 writedvs.f90 \
 readdvs.f90 readalpha2f.f90 mcmillan.f90 dforce.f90 gendsocfr.f90

SRC_phonon1 =

SRC_phonon = $(SRC_phonon0) $(SRC_phonon1)

SRC_SCDFT = \
 hmlbdg.f90 eveqnbdg.f90 scdft.f90 genachi.f90 bdginv.f90 achiinit.f90 \
 genidxbdg.f90

SRC_DFTU = \
 gendmatmt.f90 genveedu.f90 genvmatmt.f90 writedftu.f90 readalphadu.f90 \
 fyukawa.f90 fyukawa0.f90 genfdufr.f90 energyfdu.f90 writeefdu.f90 \
 zbessela.f90 zbesselb.f90 readdmatmt.f90 genfdu.f90 findlambdadu.f90 \
 readfdu.f90 writetmdu.f90 writetm2du.f90 writetm3du.f90 dmtotm2.f90 \
 dmtotm3.f90 tm2todm.f90 tm3todm.f90 pottm2.f90 pottm3.f90 tm2pol.f90 \
 tm3pol.f90 gendmftm.f90 ftmfield.f90 writeftm.f90

SRC_RDMFT = \
 rdmft.f90 rdmdkdc.f90 rdmminc.f90 rdmvaryc.f90 rdmdedc.f90 rdmenergy.f90 \
 rdmengyxc.f90 rdmwritededn.f90 rdmwriteengy.f90 rdmminn.f90 rdmvaryn.f90 \
 rdmdedn.f90 rdmdexcdn.f90 genvclijji.f90 genvclijjk.f90 getvclijji.f90 \
 getvclijjk.f90 writevclijji.f90 writevclijjk.f90 rdmdexcdc.f90 rdmdtsdn.f90 \
 rdmentropy.f90 rdmeval.f90

SRC_TDDFT0 = \
 tddft.f90 potkst.f90 timestep.f90 genhmlt.f90 tddftlr.f90 genvfxc.f90 \
 genfxcr.f90 tdtemp.f90 writetimes.f90 readtimes.f90 current.f90

SRC_TDDFT1 = \
 genspfxcr.f90 genvfxcg.f90 \
 tddftsplr.f90 genspfxcg.f90 genafieldt.f90 readafieldt.f90 writetddft.f90 \
 writeafpdt.f90 writetddos.f90


SRC_TDDFT = $(SRC_TDDFT0) $(SRC_TDDFT1)

SRC_XC = \
  xc_pzca.f90 xc_pwca.f90 xc_pbe.f90 xc_am05.f90 xc_xalpha.f90 xc_wc06.f90 \
  x_wc06.f90 x_pbe.f90 c_pbe.f90 c_pbe_gcor.f90 xc_vbh.f90 fxc_pwca.f90

SRC = $(SRC_modules) $(SRC_FFT) $(SRC_elk) $(SRC_main) $(SRC_phonon) \
 $(SRC_SCDFT) $(SRC_XC) $(SRC_DFTU) $(SRC_RDMFT) $(SRC_TDDFT)

OBJ = $(SRC:.f90=.o)
EXE = elk

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Targets
#-------------------------------------------------------------------------------
elk:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ) $(LIB_LPK) $(LIB_FFT) $(LIB_libxc) \
         $(LIB_SYS)

blas:
	cd BLAS; $(MAKE); cp blas.a ..

lapack:
	cd LAPACK; $(MAKE); cp lapack.a ..

fft:
	cd fftlib; $(MAKE); cp fftlib.a ..

all:	blas lapack fft elk

clean:
	rm -f *.o *.mod *~ ifc* *.gcno gmon.out *.aux *.dvi *.log \
         elk.pdf *.tex *.toc $(EXE)

cleanall:
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	$(MAKE) clean

doc:
	rm -f elk.aux elk.bbl elk.blg elk.log elk.pdf elk.tex elk.toc elk.lst
	ls $(SRC_modules) $(SRC_main) $(SRC_XC) $(SRC_phonon) $(SRC_DFTU) \
         $(SRC_RDMFT) $(SRC_TDDFT) > elk.lst
	./protex -F -s $(SRC_elk) $$(cat elk.lst) > elk.tex
	pdflatex elk;pdflatex elk;pdflatex elk

backup:
	tar -czf elk.tgz *.f90 fftlib eos spacegroup junk BLAS LAPACK \
         Makefile notes.txt ../docs ../examples ../tests protex ../COPYING \
         ../README elk_silhouette.pdf depend gentest genalltests \
         checklist.txt rmspaces grepelk vimelk

VERSION = $$(awk -F"/" '/data version/ {print $$2}' modmain.f90 | sed 's/ //g;s/,/./g')$
NAME = elk-$(VERSION)
RELEASE = ../release/$(NAME)

release:
	rm -rf $(RELEASE)
	mkdir $(RELEASE)
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	cd eos; $(MAKE) clean
	cd spacegroup; $(MAKE) clean
	cd ..; find . -type f -name *~ -exec rm -f {} \;
	cd ..; find . -type f -name gmon.out -exec rm -f {} \;
	cd ..; find . -type f -name RUNNING -exec rm -f {} \;
	mkdir $(RELEASE)/src
	cp -r BLAS $(RELEASE)/src
	cp -r LAPACK $(RELEASE)/src
	cp -r fftlib $(RELEASE)/src
	cp -r eos $(RELEASE)/src
	cp -r spacegroup $(RELEASE)/src
	cp $(SRC) Makefile protex elk_silhouette.pdf $(RELEASE)/src
	cp $(SRC) rmspaces grepelk vimelk $(RELEASE)/src
	cp mpi_stub.f90 $(RELEASE)/src
	cp libxc_funcs.f90 libxc.f90 libxcifc.f90 libxcifc_stub.f90 $(RELEASE)/src
	cp zfftifc.f90 zfftifc_fftw.f90 zfftifc_mkl.f90 $(RELEASE)/src
	cp -r ../examples $(RELEASE)
	cp -r ../tests $(RELEASE)
	mkdir $(RELEASE)/species
	cp ../species/*.in $(RELEASE)/species
	cp -r ../utilities $(RELEASE)
	cp ../COPYING $(RELEASE)
	cp ../README $(RELEASE)
	cp ../release_notes.txt $(RELEASE)
	cp ../Makefile $(RELEASE)
	cp ../setup $(RELEASE)
	cp ../make.def $(RELEASE)
	$(MAKE) doc
	cp elk.pdf ../docs
	cd spacegroup;$(MAKE) doc;cp spacegroup.pdf ../../docs;$(MAKE) clean
	cp -r ../docs $(RELEASE)
	mkdir $(RELEASE)/release
	tar -C ../release -czf ../release/$(NAME).tgz $(NAME)
	cp ../docs/elk.pdf ../release
	cp ../docs/spacegroup.pdf ../release

lines:
	cat $(SRC) | wc -l

spaces:
	./rmspaces $(SRC)

vim:
	./vimelk

=== src/LAPACK/Makefile ===

AR = ar

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix Rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f
.f.o:
	$(F77) $(F77_OPTS) -c $<

#-------------------------------------------------------------------------------
# File dependencies
#-------------------------------------------------------------------------------
SRC = \
 dgesv.f     dgetf2.f  dgetrf.f	 dgetri.f  dgetrs.f  disnan.f  dlabad.f \
 dlacpy.f    dladiv.f  dlae2.f	 dlaebz.f  dlaev2.f  dlagtf.f  dlagts.f \
 dlaisnan.f  dlamch.f  dlanst.f	 dlansy.f  dlapy2.f  dlapy3.f  dlarfb.f \
 dlarf.f     dlarfg.f  dlarft.f	 dlarnv.f  dlartg.f  dlaruv.f  dlascl.f \
 dlaset.f    dlasr.f   dlasrt.f	 dlassq.f  dlaswp.f  dlasyf.f  dlatrd.f \
 dorg2l.f    dorg2r.f  dorgql.f	 dorgqr.f  dorgtr.f  dorm2l.f  dorm2r.f \
 dormql.f    dormqr.f  dormtr.f	 dpotf2.f  dpotrf.f  dstebz.f  dstein.f \
 dsteqr.f    dsterf.f  dsyconv.f  dsyev.f   dsyevx.f  dsygs2.f  dsygst.f \
 dsygvx.f    dsysv.f   dsytd2.f	 dsytf2.f  dsytrd.f  dsytrf.f  dsytrs2.f \
 dsytrs.f    dtrti2.f  dtrtri.f	 ieeeck.f  iladlc.f  iladlr.f  ilaenv.f \
 ilazlc.f    ilazlr.f  iparmq.f	 xerbla.f  zgebak.f  zgebal.f  zgeev.f \
 zgehd2.f    zgehrd.f  zgesv.f	 zgetf2.f  zgetrf.f  zgetri.f  zgetrs.f \
 zheev.f     zheevx.f  zhegs2.f	 zhegst.f  zhegv.f   zhegvx.f  zhetd2.f \
 zhetrd.f    zhpevx.f  zhpgst.f	 zhpgvx.f  zhptrd.f  zhseqr.f  zlacgv.f \
 zlacpy.f    zladiv.f  zlahqr.f	 zlahr2.f  zlange.f  zlanhe.f  zlanhp.f \
 zlaqr0.f    zlaqr1.f  zlaqr2.f	 zlaqr3.f  zlaqr4.f  zlaqr5.f  zlarfb.f \
 zlarf.f     zlarfg.f  zlarft.f	 zlartg.f  zlascl.f  zlaset.f  zlasr.f \
 zlassq.f    zlaswp.f  zlatrd.f	 zlatrs.f  zpotf2.f  zpotrf.f  zpptrf.f \
 zrot.f	    zstein.f  zsteqr.f	 ztrevc.f  ztrexc.f  ztrti2.f  ztrtri.f \
 zung2l.f    zung2r.f  zunghr.f	 zungql.f  zungqr.f  zungtr.f  zunm2l.f \
 zunm2r.f    zunmhr.f  zunmql.f	 zunmqr.f  zunmtr.f  zupgtr.f  zupmtr.f

OBJ = $(SRC:.f=.o)

lapack:	$(OBJ)
	$(AR) -rc lapack.a $(OBJ)

clean:
	rm -f *.o *.mod *~ *.a ifc* *.gcno gmon.out

ls:
	ls -x --width=80 *.f

=== src/eos/Makefile ===

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Source files
#-------------------------------------------------------------------------------
SRC = modmain.f90 eos.f90 eveos.f90 pveos.f90 readinput.f90 getedata.f90 \
      fitdata.f90 output.f90 minf_nm.f90 fmin_nm.f90

OBJ = $(SRC:.f90=.o)
EXE = eos

eos:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ)

clean:
	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.OUT gmon.out $(EXE)

=== debian/changelog ===
elkcode (4.0.15-2build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:59:50 +0000

elkcode (4.0.15-2) unstable; urgency=medium

  * debian/patches/makeflags.patch: Link against libxcf90 as well.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Oct 2016 19:38:24 +0200

elkcode (4.0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.
  * debian/control (Standards-Version): Bumped to 3.9.6.
  * debian/control (Description): Updated.
  * debian/control (Elk/Suggests): Added xcrysden.
  * debian/patches/makefile_clean.patch: Updated to properly remove main
    executable on clean.

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Oct 2016 10:38:05 +0200

=== debian/control ===
Source: elkcode
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 8),
               gfortran,
               libblas-dev,
               libfftw3-dev,
               liblapack-dev,
               libxc-dev,
               mpi-default-bin,
               mpi-default-dev,
               pkg-config,
               texlive-latex-base
Standards-Version: 3.9.6
Homepage: http://elk.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elkcode/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elkcode/

Package: elk-lapw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot, xcrysden
Description: All-Electron Density-Functional Electronic Structure Code
 Elk is an all-electron full-potential linearised augmented-plane wave
 (FP-LAPW) code. By not including pseudo-potentials, Elk can provide very
 reliable high-precision results and works for every chemical element. Features
 include:
 .
  * FP-LAPW basis with local-orbitals
  * APW radial derivative matching to arbitrary orders at muffin-tin surface
    (super-LAPW, etc.)
  * Arbitrary number of local-orbitals allowed (all core states can be made
    valence for example)
  * Total energies resolved into components
  * Forces - including incomplete basis set (IBS) and core corrections work
    with spin-orbit coupling, non-collinear magnetism and LDA+U
  * LSDA, GGA and (potential-only) meta-GGA functionals available
  * LDA+U: fully localised limit (FLL), around mean field (AFM) and
    interpolation between the two; works with SOC, NCM and spin-spirals
  * Isolated molecules or periodic systems
  * Core states treated with the radial Dirac equation
  * Spin-orbit coupling (SOC) included in second-variational scheme
  * Non-collinear magnetism (NCM) with arbitrary on-site magnetic fields
  * Fixed spin-moment calculations (with SOC and NCM)
  * Time-dependent density functional theory (TDDFT) for linear optical
    response calculations
  * First-order optical response
  * Non-linear optical (NLO) second harmonic generation 
 .
 Elk is parallelized via hybrid OpenMP/OpenMPI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXAMPLEDIR=debian/elk-lapw/usr/share/doc/elk-lapw/examples

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	(cd src; $(MAKE) doc)
	(cd src/spacegroup; $(MAKE) doc)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false sh ./tests_quick.sh)
	for i in tests/test-*/test.log; do	\
	  if [ -e $$i ]; then			\
	    echo "Error for test $$i:";		\
	    sed -n -e '/^Error/,$$p' $$i;	\
	  fi					\
	done
endif

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/elk-lapw/usr/bin/xps_exc.pl \
	   $(CURDIR)/debian/elk-lapw/usr/bin/xps_exc
	mv $(CURDIR)/debian/elk-lapw/usr/bin/elk \
	   $(CURDIR)/debian/elk-lapw/usr/bin/elk-lapw #bug #720044

override_dh_installchangelogs:
	dh_installchangelogs release_notes.txt

.NOTPARALLEL:

## elkcode 5.4.24

=== src/Makefile ===

include ../make.inc

# modules
SRC_modules = modmain.f90 $(SRC_MPI) modmpi.f90 $(SRC_libxc) \
 modxcifc.f90 modfxcifc.f90 moddftu.f90 modrdm.f90 modphonon.f90 modscdft.f90 \
 modtest.f90 modrandom.f90 modstore.f90 modpw.f90 modvars.f90 modtddft.f90 \
 modgw.f90 modulr.f90 modjx.f90 $(SRC_OMP) modomp.f90 $(SRC_MKL) mkl_init.f90 \
 $(SRC_OBLAS) oblas_init.f90 $(SRC_BLIS) blis_init.f90

# Elk program
SRC_elk = elk.f90

# main subroutines and functions
SRC_main0 = \
 zftzf.f90 wavefmt.f90 eveqnz.f90 mixadapt.f90 genidxlo.f90 findqpt.f90 \
 linengy.f90 fintgt.f90 genevfsv.f90 eveqnfv.f90 hmlfv.f90 olpfv.f90 \
 rhomagsh.f90 rtozfmt.f90 ztorfmt.f90 vecfbz.f90 potnucl.f90 potks.f90 \
 zfmtint.f90 putevalsv.f90 getevalsv.f90 rdiracint.f90 rdirac.f90 mixpack.f90 \
 gengclg.f90 eveqn.f90 genvmat.f90 rfint.f90 rfpack.f90 genbs.f90 genws.f90 \
 writeqpts.f90 rfmtctof.f90 genapwlofr.f90 olpaa.f90 gradzfmt.f90 spline.f90 \
 zfcmtinp.f90 symrfir.f90 sphcrd.f90 energynn.f90 gengkvec.f90 r3frac.f90 \
 timesec.f90

SRC_main1 = \
 rzfmtinp.f90 hmlrad.f90 olprad.f90 splintp.f90 splint.f90 \
 gengvc.f90 rfmtinp.f90 zftwfir.f90 zfinp.f90 rndevsv.f90 rfinp.f90 \
 z2mm.f90 z2mctm.f90 z2mmct.f90 rfcopy.f90 genjlgpr.f90 sbessel.f90 \
 findngkmax.f90 genylmg.f90 gengclgq.f90 genzrho.f90 zbsht.f90 zfsht.f90 \
 rtozflm.f90 rbsht.f90 rfsht.f90 genylm.f90 genrlm.f90 \
 potxc.f90 potxcmt.f90 potxcir.f90 putkmat.f90 getkmat.f90 charge.f90 \
 chargemt.f90 factnm.f90 factr.f90 rfmtftoc.f90 gencfun.f90 genzvclmt.f90 \
 rzfinp.f90 rfmtpack.f90 zfmtpack.f90 genvmatk.f90 genvbmatk.f90 hmllolo.f90 \
 ztorflm.f90 zfmtinp.f90 rhonorm.f90 gradzf.f90 gradrf.f90 zpotclmt.f90 \
 zpotcoul.f90 zfmtconj.f90 match.f90 gencfrc.f90 \
 hmlistl.f90 gengclq.f90 writegclq.f90 genppts.f90 \
 rfmtsm.f90 rfirsm.f90 putevecsv.f90 getevecsv.f90 genpmat.f90 genvsig.f90 \
 fderiv.f90 gengvec.f90 zfpack.f90 \
 writepmat.f90 getpmat.f90 gengqrf.f90 moke.f90 sfacinit.f90 sfacrho.f90 \
 sfacmag.f90 gradwf2.f90 gradwfcr2.f90 force.f90 forcek.f90 symrf.f90 \
 symrfmt.f90 symrvfir.f90 symrvf.f90 symrvfmt.f90 \
 initoep.f90 oepmain.f90 oepresk.f90 \
 oepvcl.f90 oepvclk.f90 genvchi0.f90 genspchi0.f90 epsinv.f90 dbxcplot.f90 \
 vclcore.f90 genzrm.f90 genzfrm.f90 zftrf.f90 writehmlbse.f90 \
 hmlxbse.f90 hmlxbsek.f90 hmldbse.f90 hmldbsek.f90 dielectric_bse.f90 \
 genidxbse.f90 writeevbse.f90 hartfock.f90 hflocal.f90 genwfpw.f90 \
 writewfpw.f90 getwfpw.f90 genexpmat.f90 writeexpmat.f90 rvfcross.f90 \
 rfplot.f90 rotdmat.f90 hrmdmat.f90 reademd.f90 emdplot.f90 \
 rfhkintp.f90 emdplot3d.f90 emdplot2d.f90 emdplot1d.f90 plotpt3d.f90 \
 plotpt2d.f90 genvmmtsv.f90 writeevsp.f90 sctovec.f90 straingkq.f90 ztpmm.f90 \
 writeepsinv.f90 putepsinv.f90 torque.f90 ssfsmjx.f90 curden.f90 \
 curdenk.f90 closefiles.f90 curdenplot.f90 wxcplot.f90 nfftifc.f90 checkmt.f90 \
 mtdmin.f90 fsmooth.f90 rfmtlm.f90 zfmtlm.f90 fermisurf.f90 \
 writesym.f90 addlorbcnd.f90 sdelta.f90 stheta.f90 sdelta_mp.f90 stheta_mp.f90 \
 sdelta_fd.f90 stheta_fd.f90 sdelta_sq.f90 stheta_sq.f90 sdelta_lr.f90 \
 stheta_lr.f90 mixlinear.f90 mixbroyden.f90 rlmrot.f90 \
 rotrflm.f90 radnucl.f90 writegeom.f90 effmass.f90 mossbauer.f90 findband.f90 \
 geomplot.f90 genlmirep.f90 gndstate.f90 ssfext.f90 sstask.f90 \
 spiralsc.f90 genscss.f90 genfspecies.f90 writespecies.f90 massnucl.f90 \
 genlofr.f90 genrmesh.f90 rhocore.f90 \
 init0.f90 init1.f90 init2.f90 init3.f90 init4.f90 \
 rfinpc.f90 gcd.f90 sortidx.f90 erf.f90 orthevsv.f90 moment.f90 \
 occupy.f90 rschrodint.f90 lopzflm.f90 sphcover.f90 \
 delevec.f90 genapwfr.f90 polynom.f90 genkmat.f90 \
 genshtmat.f90 eveqnfvz.f90 findnjcmax.f90 writeengy.f90 \
 gridsize.f90 sbesseldm.f90 findscq.f90 writelsj.f90 \
 getcfgq.f90 proj2d.f90 dielectric.f90 nonlinopt.f90 vecplot.f90 \
 wfcrplot.f90 energykncr.f90 rhoplot.f90 eveqnit.f90 eveqnss.f90 \
 rhoinit.f90 maginit.f90 grad2rfmt.f90 gendmat.f90 symdmat.f90 \
 gensdmat.f90 ggamt_1.f90 ggair_1.f90 ggamt_sp_1.f90 ggair_sp_1.f90 \
 ggamt_2a.f90 ggair_2a.f90 ggamt_2b.f90 ggair_2b.f90 ggamt_sp_2a.f90 \
 ggair_sp_2a.f90 ggamt_sp_2b.f90 ggair_sp_2b.f90 genspecies.f90 writeemd.f90 \
 rhomagk.f90 wavefcr.f90 exxengy.f90 exxengyk.f90 eveqnhf.f90 gentau.f90 \
 gentauk.f90 gentaucr.f90 xc_c_tb09.f90 elfplot.f90 genexpmt.f90 \
 gradrfmt.f90 projsbf.f90 genpmatk.f90 putpmat.f90 genwfsv.f90 genwfsvp.f90 \
 allatoms.f90 potcoul.f90 gensfacgp.f90 \
 rhomag.f90 zgerci.f90 \
 genffacgp.f90 writelat.f90 findkpt.f90 fsmfield.f90 checkfsm.f90 \
 eveqnsv.f90 brzint.f90 gentpmae.f90 genstrain.f90 writeiad.f90 \
 symveca.f90 symvec.f90 nuclei.f90 genstress.f90 writestress.f90 latvstep.f90 \
 putoccsv.f90 getoccsv.f90 elnes.f90 potefield.f90 writeinfo.f90 \
 readinput.f90 hermite.f90 writelinen.f90 writesf.f90 wigner3j.f90 \
 wigner3jf.f90 wigner6j.f90 clebgor.f90 gaunt.f90 gauntyry.f90 roteuler.f90 \
 eulerrot.f90 reciplat.f90 fermisurfbxsf.f90 writeeval.f90 readspecies.f90 \
 gencore.f90 genhvec.f90 writeforces.f90 pade.f90 pades.f90 genjlgprmt.f90 \
 symmetry.f90 findsym.f90 findsymcrys.f90 findsymsite.f90 writekpts.f90 \
 olpistl.f90 olpalo.f90 olplolo.f90 hmlaa.f90 hmlalo.f90 \
 writefsm.f90 plotpt1d.f90 testcheck.f90 atom.f90 geomopt.f90 atpstep.f90 \
 bandstr.f90 findsymlat.f90 putevalfv.f90 getevalfv.f90 mixerifc.f90 \
 axangsu2.f90 wfplot.f90 writeefg.f90 gensocfr.f90 \
 nesting.f90 dos.f90 writedos.f90 putevecfv.f90 \
 getevecfv.f90 writefermi.f90 readfermi.f90 zfmtctof.f90 rotrfmt.f90 \
 zfmtftoc.f90 rfinterp.f90 ylmrot.f90 ylmroty.f90 eveqnfvr.f90 \
 findprimcell.f90 energy.f90 writechg.f90 potplot.f90 \
 plot1d.f90 plot2d.f90 plot3d.f90 findswidth.f90 mae.f90 writestate.f90 \
 readstate.f90 rotaxang.f90 axangrot.f90 i3minv.f90 i3mdet.f90 i3mtv.f90 \
 r3mv.f90 r3mtv.f90 r3cross.f90 r3minv.f90 r3mdet.f90 r3mm.f90 \
 r3mtm.f90 r3mmt.f90 zflmconj.f90 rotzflm.f90 symmat.f90 r3vo.f90 \
 writestrain.f90 rfint0.f90

SRC_main = $(SRC_main0) $(SRC_main1)

SRC_ULR0 = \
 writechgu.f90 writeevalu.f90 genkpakq.f90 initulr.f90 eveqnulr.f90

SRC_ULR1 = \
 genzvmatk.f90 genzvbmatk.f90 \
 occupyulr.f90 writeinfou.f90 \
 writemomrmt.f90 writeengyu.f90 momentu.f90 gndstulr.f90 \
 pksuinit.f90 potxculr.f90 potksulr.f90 \
 genhmlu.f90 rhomaguk.f90 rhomagq.f90 mixpacku.f90 \
 potclulr.f90 writestulr.f90 readstulr.f90

SRC_ULR = $(SRC_ULR0) $(SRC_ULR1)

SRC_phonon0 = \

SRC_phonon1 = \
 phdelete.f90 gendcfun.f90 dmatch.f90 gendvsig.f90 gradrhomt.f90 dpotxc.f90 \
 dolpalo.f90 dhmlalo.f90 dolpaa.f90 dhmllolo.f90 dwavefmt.f90 phonon.f90 \
 dpotks.f90 dhmlaa.f90 dhmlrad.f90 gendwfsv.f90 drhomagk.f90 drhomagsh.f90 \
 hmlaaq.f90 hmlaloq.f90 olpaaq.f90 olpaloq.f90 gengvsmt.f90 dpotcoul.f90 \
 dforcek.f90 gengkqvec.f90 gengqvec.f90 genmcph.f90 deveqnfv.f90 dhmlistl.f90 \
 dolpistl.f90 phmixpack.f90 putdevecfv.f90 getdevecfv.f90 doccupy.f90 \
 putdevecsv.f90 getdevecsv.f90 phononsc.f90 dyntask.f90 genscph.f90 phdisp.f90 \
 readdyn.f90 dynqtor.f90 dynrtoq.f90 dynsymapp.f90 dynsym.f90 dynev.f90 \
 dynevs.f90 phdos.f90 sumrule.f90 writephn.f90 phfext.f90 writegamma.f90 \
 readgamma.f90 phlwidth.f90 alpha2f.f90 writelambda.f90 phscdelete.f90 \
 ephcouple.f90 genephmat.f90 eliashberg.f90 phscdvs.f90 writedvs.f90 \
 readdvs.f90 readalpha2f.f90 mcmillan.f90 dforce.f90 gendsocfr.f90

SRC_phonon = $(SRC_phonon0) $(SRC_phonon1)

SRC_SCDFT = \
 hmlbdg.f90 eveqnbdg.f90 scdft.f90 genachi.f90 bdginv.f90 achiinit.f90 \
 genidxbdg.f90

SRC_DFTU = \
 gendmatmt.f90 genveedu.f90 genvmatmt.f90 writedftu.f90 readalphadu.f90 \
 fyukawa.f90 fyukawa0.f90 genfdufr.f90 energyfdu.f90 writeefdu.f90 \
 zbessela.f90 zbesselb.f90 readdmatmt.f90 genfdu.f90 findlambdadu.f90 \
 readfdu.f90 writetmdu.f90 writetm2du.f90 writetm3du.f90 dmtotm2.f90 \
 dmtotm3.f90 tm2todm.f90 tm3todm.f90 pottm2.f90 pottm3.f90 tm2pol.f90 \
 tm3pol.f90 gendmftm.f90 ftmfield.f90 writeftm.f90

SRC_RDMFT = \
 rdmft.f90 rdmdkdc.f90 rdmminc.f90 rdmvaryc.f90 rdmdedc.f90 rdmenergy.f90 \
 rdmengyxc.f90 rdmwritededn.f90 rdmwriteengy.f90 rdmminn.f90 rdmvaryn.f90 \
 rdmdedn.f90 rdmdexcdn.f90 genvclijji.f90 genvclijjk.f90 getvclijji.f90 \
 getvclijjk.f90 writevclijji.f90 writevclijjk.f90 rdmdexcdc.f90 rdmdtsdn.f90 \
 rdmentropy.f90 rdmeval.f90

SRC_GW0 = \
 putgwsefm.f90 getgwsefm.f90 genwgw.f90 gwchgk.f90 gwsefmk.f90

SRC_GW1 = \
 dysonr.f90 gwspecf.f90 writegwsf.f90 acgwse.f90 minf_nm.f90 fmin_nm.f90 \
 polefit.f90 acpole.f90 zfpole.f90 gwbandstr.f90 gtwsum.f90 \
 gwscrho.f90 gwefermi.f90 gwrhomag.f90 gwdmatk.f90 ksinvert.f90 \
 gwlocal.f90 gwsefm.f90 writeigw.f90 gwdmat.f90

SRC_GW = $(SRC_GW0) $(SRC_GW1)

SRC_TDDFT0 = \
 tddft.f90 potkst.f90 timestep.f90 genhmlt.f90 tddftlr.f90 genvfxc.f90 \
 genfxcr.f90 tdtemp.f90 writetimes.f90 readtimes.f90

SRC_TDDFT1 = \
 genspfxcr.f90 genvfxcg.f90 gentimes.f90 tdbackup.f90 \
 tddftsplr.f90 genspfxcg.f90 genafieldt.f90 readafieldt.f90 writetddft.f90 \
 writeafpdt.f90 writetddos.f90 dielectric_tdrt.f90 readcurrent.f90

SRC_TDDFT = $(SRC_TDDFT0) $(SRC_TDDFT1)

SRC_XC = \
  xc_pzca.f90 xc_pwca.f90 xc_pbe.f90 xc_am05.f90 xc_xalpha.f90 xc_wc06.f90 \
  x_wc06.f90 x_pbe.f90 c_pbe.f90 c_pbe_gcor.f90 xc_vbh.f90 fxc_pwca.f90

SRC = $(SRC_modules) $(SRC_FFT) $(SRC_elk) $(SRC_main) $(SRC_phonon) \
 $(SRC_SCDFT) $(SRC_XC) $(SRC_DFTU) $(SRC_RDMFT) $(SRC_GW) $(SRC_TDDFT) \
 $(SRC_ULR)

OBJ = $(SRC:.f90=.o)
EXE = elk

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Targets
#-------------------------------------------------------------------------------
elk:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ) $(LIB_LPK) $(LIB_FFT) $(LIB_libxc) \
         $(LIB_SYS)

blas:
	cd BLAS; $(MAKE); cp blas.a ..

lapack:
	cd LAPACK; $(MAKE); cp lapack.a ..

fft:
	cd fftlib; $(MAKE); cp fftlib.a ..

all:	blas lapack fft elk

clean:
	rm -f *.o *.mod *~ ifc* *.gcno gmon.out *.aux *.dvi *.log \
         elk.pdf *.tex *.toc $(EXE)

cleanall:
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	$(MAKE) clean

doc:
	rm -f elk.aux elk.bbl elk.blg elk.log elk.pdf elk.tex elk.toc elk.lst
	ls $(SRC_modules) $(SRC_main) $(SRC_XC) $(SRC_phonon) $(SRC_DFTU) \
         $(SRC_RDMFT) $(SRC_TDDFT) > elk.lst
	./protex -F -s $(SRC_elk) $$(cat elk.lst) > elk.tex
	pdflatex elk;pdflatex elk;pdflatex elk

backup:
	tar -czf elk.tgz *.f90 fftlib eos spacegroup junk BLAS LAPACK \
         Makefile notes.txt ../docs ../examples ../tests protex ../COPYING \
         ../README elk_silhouette.pdf depend gentest genalltests \
         checklist.txt rmspaces grepelk vimelk

VERSION = $$(awk -F"/" '/data version/ {print $$2}' modmain.f90 | sed 's/ //g;s/,/./g')$
NAME = elk-$(VERSION)
RELEASE = ../release/$(NAME)

release:
	rm -rf $(RELEASE)
	mkdir $(RELEASE)
	cd BLAS; $(MAKE) clean
	cd LAPACK; $(MAKE) clean
	cd fftlib; $(MAKE) clean
	cd eos; $(MAKE) clean
	cd spacegroup; $(MAKE) clean
	cd ..; find . -type f -name *~ -exec rm -f {} \;
	cd ..; find . -type f -name gmon.out -exec rm -f {} \;
	cd ..; find . -type f -name RUNNING -exec rm -f {} \;
	mkdir $(RELEASE)/src
	cp -r BLAS $(RELEASE)/src
	cp -r LAPACK $(RELEASE)/src
	cp -r fftlib $(RELEASE)/src
	cp -r eos $(RELEASE)/src
	cp -r spacegroup $(RELEASE)/src
	cp $(SRC) Makefile protex elk_silhouette.pdf $(RELEASE)/src
	cp $(SRC) rmspaces grepelk vimelk $(RELEASE)/src
	cp mpi_stub.f90 omp_stub.f90 mkl_stub.f90 oblas_stub.f90 blis_stub.f90 $(RELEASE)/src
	cp libxc_funcs.f90 libxc.f90 libxcifc.f90 libxcifc_stub.f90 $(RELEASE)/src
	cp zfftifc.f90 zfftifc_fftw.f90 zfftifc_mkl.f90 $(RELEASE)/src
	cp -r ../examples $(RELEASE)
	cp -r ../tests $(RELEASE)
	mkdir $(RELEASE)/species
	cp ../species/*.in $(RELEASE)/species
	cp -r ../utilities $(RELEASE)
	cp ../COPYING $(RELEASE)
	cp ../README $(RELEASE)
	cp ../release_notes.txt $(RELEASE)
	cp ../Makefile $(RELEASE)
	cp ../setup $(RELEASE)
	cp ../make.def $(RELEASE)

=== src/BLAS/Makefile ===

AR = ar

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix Rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f
.f.o:
	$(F77) $(F77_OPTS) -c $<

#-------------------------------------------------------------------------------
# File dependencies
#-------------------------------------------------------------------------------
SRC = \
 daxpy.f  dcabs1.f  dcopy.f  ddot.f   dgemm.f   dgemv.f   dger.f    dnrm2.f \
 drot.f   dscal.f   dswap.f  dsymm.f  dsymv.f   dsyr2.f   dsyr2k.f  dsyrk.f \
 dtrmm.f  dtrmv.f   dtrsm.f  dtrsv.f  dzasum.f  dznrm2.f  idamax.f  izamax.f \
 lsame.f  xerbla.f  zaxpy.f  zcopy.f  zdotc.f   zdotu.f   zdrot.f   zdscal.f \
 zgemm.f  zgemv.f   zgerc.f  zhemm.f  zhemv.f   zher2.f   zher2k.f  zherk.f \
 zhpmv.f  zhpr2.f   zhpr.f   zscal.f  zswap.f   ztpmv.f   ztpsv.f   ztrmm.f \
 ztrmv.f  ztrsm.f   ztrsv.f

OBJ = $(SRC:.f=.o)

blas:	$(OBJ)
	$(AR) -rc blas.a $(OBJ)

clean:
	rm -f *.o *.mod *~ *.a ifc* *.gcno gmon.out

ls:
	ls -x --tabsize=0 --width=80 *.f

=== src/LAPACK/Makefile ===

AR = ar

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix Rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f
.f.o:
	$(F77) $(F77_OPTS) -c $<

#-------------------------------------------------------------------------------
# File dependencies
#-------------------------------------------------------------------------------
SRC = \
 dgesv.f    dgetrf2.f  dgetrf.f   dgetri.f  dgetrs.f    disnan.f  dlabad.f \
 dlacpy.f   dladiv.f   dlae2.f    dlaebz.f  dlaed0.f    dlaed1.f  dlaed2.f \
 dlaed3.f   dlaed4.f   dlaed5.f   dlaed6.f  dlaed7.f    dlaed8.f  dlaed9.f \
 dlaeda.f   dlaev2.f   dlagtf.f   dlagts.f  dlaisnan.f  dlamch.f  dlamrg.f \
 dlanst.f   dlansy.f   dlapy2.f   dlapy3.f  dlarfb.f    dlarf.f   dlarfg.f \
 dlarft.f   dlarnv.f   dlartg.f   dlaruv.f  dlascl.f    dlaset.f  dlasr.f \
 dlasrt.f   dlassq.f   dlaswp.f   dlatrd.f  dorg2l.f    dorg2r.f  dorgql.f \
 dorgqr.f   dorgtr.f   dorm2l.f   dorm2r.f  dormql.f    dormqr.f  dormtr.f \
 dpotrf2.f  dpotrf.f   dstebz.f   dstedc.f  dstein.f    dsteqr.f  dsterf.f \
 dsyev.f    dsyevx.f   dsygs2.f   dsygst.f  dsygvx.f    dsytd2.f  dsytrd.f \
 dtrti2.f   dtrtri.f   ieeeck.f   iladlc.f  iladlr.f    ilaenv.f  ilazlc.f \
 ilazlr.f   iparmq.f   xerbla.f   zgebak.f  zgebal.f    zgeev.f   zgehd2.f \
 zgehrd.f   zgesv.f    zgetrf2.f  zgetrf.f  zgetri.f    zgetrs.f  zheevd.f \
 zheev.f    zheevx.f   zhegs2.f   zhegst.f  zhegv.f     zhegvx.f  zhetd2.f \
 zhetrd.f   zhpevx.f   zhpgst.f   zhpgvx.f  zhptrd.f    zhseqr.f  zlacgv.f \
 zlacpy.f   zlacrm.f   zladiv.f   zlaed0.f  zlaed7.f    zlaed8.f  zlahqr.f \
 zlahr2.f   zlange.f   zlanhe.f   zlanhp.f  zlaqr0.f    zlaqr1.f  zlaqr2.f \
 zlaqr3.f   zlaqr4.f   zlaqr5.f   zlarfb.f  zlarf.f     zlarfg.f  zlarft.f \
 zlartg.f   zlascl.f   zlaset.f   zlasr.f   zlassq.f    zlaswp.f  zlatrd.f \
 zlatrs.f   zpotrf2.f  zpotrf.f   zpptrf.f  zrot.f      zstedc.f  zstein.f \
 zsteqr.f   ztrevc3.f  ztrexc.f   ztrti2.f  ztrtri.f    zung2l.f  zung2r.f \
 zunghr.f   zungql.f   zungqr.f   zungtr.f  zunm2l.f    zunm2r.f  zunmhr.f \
 zunmql.f   zunmqr.f   zunmtr.f   zupgtr.f  zupmtr.f    iparam2stage.f

OBJ = $(SRC:.f=.o)

lapack:	$(OBJ)
	$(AR) -rc lapack.a $(OBJ)

clean:
	rm -f *.o *.mod *~ *.a ifc* *.gcno gmon.out

ls:
	ls -x --tabsize=0 --width=80 *.f

=== src/spacegroup/Makefile ===

include ../../make.inc

#-------------------------------------------------------------------------------
# Suffix rules
#-------------------------------------------------------------------------------
.SUFFIXES: .o .f90
.f90.o:
	$(F90) $(F90_OPTS) -c $<

#-------------------------------------------------------------------------------
# Source files
#-------------------------------------------------------------------------------

SRC_modules = modmain.f90

SRC_main = main.f90

SRC_routines = readinput.f90 gencrystal.f90 sgsymb.f90 seitzgen.f90 \
 gengroup.f90 seitzeq.f90 seitzmul.f90 writegeom.f90 geomplot.f90 \
 findprimcell.f90 r3frac.f90 r3mv.f90 r3cross.f90 r3minv.f90 r3mm.f90

SRC = $(SRC_modules) $(SRC_main) $(SRC_routines)

OBJ = $(SRC:.f90=.o)
EXE = spacegroup

spacegroup:	$(OBJ)
	$(F90) $(F90_OPTS) -o $(EXE) $(OBJ)

clean:
	rm -f *.o *.mod *~ fort.* ifc* *.gcno *.OUT *.xsf *.ascii gmon.out \
         *.aux *.dvi *.log *.pdf *.tex *.toc $(EXE)

doc:
	../protex -s $(SRC_main) $(SRC_modules) $(SRC_routines) > spacegroup.tex
	pdflatex spacegroup;pdflatex spacegroup;pdflatex spacegroup

spaces:
	../rmspaces $(SRC)

=== debian/changelog ===
elkcode (5.4.24-2) unstable; urgency=medium

  * debian/patches/testsuite_quick.patch: Use bash as interpreter, print
    testsuite output to stdout in addition to logfile and add 'set -o
    pipefail'.
  * debian/rules (override_dh_auto_test): Use bash to run testsuite.

 -- Michael Banck <mbanck@debian.org>  Thu, 10 Jan 2019 15:19:40 +0100

elkcode (5.4.24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/makefile_clean.patch: Refreshed.
  * debian/patches/makeflags.patch: Likewise.
  * debian/control (elk-lapw/Depends): Added mpi-default-bin (Closes: #918053).
  * debian/patches/makeflags.patch: Added MKL/OpenBLAS/BLIS stub files.
  * debian/tests: Add autopkgtests.
  * debian/patches/testsuite_quick.patch: Allow for external elk executable.

 -- Michael Banck <mbanck@debian.org>  Wed, 09 Jan 2019 19:34:48 +0100

elkcode (5.2.14-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/default_data_directory.patch: Refreshed.
  * debian/patches/makefile_clean.patch: Likewise.
  * debian/patches/makeflags.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 31 Dec 2018 16:30:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false sh ./tests_quick.sh)
+	(cd tests; OMPI_MCA_orte_rsh_agent=/bin/false bash ./tests_quick.sh)
 	for i in tests/test-*/test.log; do	\
 	  if [ -e $$i ]; then			\
 	    echo "Error for test $$i:";		\
